IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_160_check]') AND type = 'P')
DROP PROCEDURE [dbo].[order_160_check]
GO

-- 生成时间:2018-06-27 12:13:43 by ebs-core  
CREATE  procedure order_160_check(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#detail1' 
select * into #detail1 from order_160_1 where ord2_ordid=@ordid  

 ---- 以下是开发人员写的 check order 事件 --------------
 /*验证是否付款金额为0的项目*/

if exists (select 1 from #detail1 where ord2_ysje = 0)
begin
    set @operation = 'abort'
    set @errorinfo = '合同退款明细中存在已收金额为0的选项，无法退款！'
end


 ---- 以上是开发人员写的 check order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 
exec drop_temp_table '#detail1'

set nocount off 
end